=== debian/changelog ===
mender-client-version-inventory-script (0.1.0~git20260209.4b2fd38-1+ubuntu+noble+builder2321607568) experimental; urgency=medium

  * Release 0.1.0~git20260209.4b2fd38-1+ubuntu+noble+builder2321607568.
    See online docs for complete changelog

 -- root <root@325de1e459c6>  Thu, 12 Feb 2026 10:50:22 +0000
