## mender-client-version-inventory-script 0.1.0~git20260212.3bc7027

=== debian/changelog ===
mender-client-version-inventory-script (0.1.0~git20260212.3bc7027-1+ubuntu+jammy+builder2322856851) experimental; urgency=medium

  * Release 0.1.0~git20260212.3bc7027-1+ubuntu+jammy+builder2322856851.
    See online docs for complete changelog

 -- root <root@413357e6529d>  Thu, 12 Feb 2026 20:19:06 +0000
