=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make build-inventory-script

override_dh_auto_install:
	prefix=debian/tmp make install-inventory-script

override_dh_auto_test:
	true
