## mender-client-version-inventory-script 0.1.0~git20260213.6a66c19

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 SHELL := /bin/bash
 
 ALL_RELEASES := $(sort $(patsubst subcomponents/releases/%.json,%,$(wildcard subcomponents/releases/*.json)))
-# By default define RELEASE from Git tag. Remove the release candidate suffix
-GIT_VERSION = $(shell git describe --tags --exact-match 2>/dev/null | sed 's/-build[0-9]\+$$//')
+# By default define RELEASE from Git tag
+GIT_VERSION = $(shell git describe --tags --exact-match 2>/dev/null)
 RELEASE ?= $(GIT_VERSION)
 
 DESTDIR ?= /
@@ -29,7 +29,7 @@
 	@echo 'it uses "unsupported" for the versions and generates no conflicts'
 	@echo ''
 	@echo 'Other commands:'
-	@echo '  check-deps                 - Check dependencies'
+	@echo '  check-dependencies         - Check dependencies'
 
 
 inventory-script/mender-inventory-client-version: build-inventory-script
@@ -79,7 +79,7 @@
 
 check-dependencies:
 	@missing=""; \
-	for cmd in jq envsubst; do \
+	for cmd in jq envsubst git; do \
 		which $$cmd >/dev/null 2>&1 || missing="$$missing $$cmd"; \
 	done; \
 	if [ -n "$$missing" ]; then \
