=== debian/changelog ===
mender-client-version-inventory-script (0.1.0~git20260213.6a66c19-1+ubuntu+noble+builder2325138823) experimental; urgency=medium

  * Release 0.1.0~git20260213.6a66c19-1+ubuntu+noble+builder2325138823.
    See online docs for complete changelog

 -- root <root@00d7846ed301>  Fri, 13 Feb 2026 20:20:21 +0000
